summaryrefslogtreecommitdiffstats
path: root/makesrc.sh
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2026-06-05 08:22:01 +0200
committerRemi Collet <remi@php.net>2026-06-05 08:22:01 +0200
commit76c0643bd58e15e1e384e0def6bc8a04b5c88c79 (patch)
tree7d4502ffd83ffb3bfe01f0cc44010b0b1c4b14d2 /makesrc.sh
dup v8
Diffstat (limited to 'makesrc.sh')
-rwxr-xr-xmakesrc.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/makesrc.sh b/makesrc.sh
new file mode 100755
index 0000000..59cf430
--- /dev/null
+++ b/makesrc.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+NAME=$(basename $PWD)
+OWNER=$(sed -n '/^%global gh_owner/{s/.* //;p}' $NAME.spec)
+PROJECT=$(sed -n '/^%global gh_project/{s/.* //;p}' $NAME.spec)
+VERSION=$(sed -n '/^Version:/{s/.* //;p}' $NAME.spec)
+
+if [ -f $NAME-$VERSION.tgz ]; then
+ echo "$NAME-$VERSION.tgz already there"
+else
+ echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION \n"
+
+ echo "Cloning..."
+ rm -rf $PROJECT-$VERSION
+ git clone https://github.com/$OWNER/$PROJECT.git --depth 1 --branch $VERSION $PROJECT-$VERSION || exit 1
+
+ echo "Getting composer..."
+ cp $PROJECT-$VERSION/composer.json composer.json
+
+ echo "Archiving..."
+ tar czf $NAME-$VERSION.tgz --exclude-vcs --exclude tools $PROJECT-$VERSION
+
+ echo "Cleaning..."
+ rm -rf $PROJECT-$VERSION
+
+ echo "Done."
+fi